ETDUMP(8)

NAME
etdump - Dump El Torito boot catalog information from ISO images

SYNOPSIS
etdump [-f format] [-o file] file ...

DESCRIPTION
This program reads El Torito boot catalog information from an ISO image and outputs it in various formats. It can be used to check the catalog in an image or to output catalog data in a format that can be used by other tools such as shell scripts.

Supported options are:

-f format --format format
    Select the output format. Supported output formats are:

    text
        Human-readable text (default)

    shell
        Each boot entry is emitted as a string suitable for passing to a sh-compatible eval command. The variables emitted are:

        et_platform
            The platform ID from the section header. Set to 'default' for the initial (default) entry.

        et_system
            The system ID from the boot entry.

        et_lba
            The starting LBA (2048-byte blocks) of the boot image.

        et_sectors
            The number of sectors (512-byte sectors) that comprise the boot image.

-o file --output file
    Write output to file. If '-' is specified then standard out is used.

EXAMPLES
To see what entries are in a given boot catalog run etdump passing the filename of the image as an argument like so:

    % etdump bootonly.iso
    Image in bootonly.iso
    Default entry
    	System i386
    	Start LBA 420 (0x1a4), sector count 4 (0x4)
    	Media type: no emulation
    Section header: efi, final
    	Section entry
    		System i386
    		Start LBA 20 (0x14), sector count 1600 (0x640)
    		Media type: no emulation

To use the output in a shell script a for loop can be used to iterate over the entries returned using eval:

    for entry in `etdump --format shell bootonly.iso`; do
    	eval $entry
    	echo $et_platform $et_system $et_lba $et_sectors
    done

HISTORY
The etdump utility first appeared in FreeBSD 11.2